This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 130404 - LDAP backend to libuser can't create new users or groups
LDAP backend to libuser can't create new users or groups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-19 21:19 EDT by Dave Malcolm
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.52.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 14:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2004-08-19 21:19:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I'm trying to use system-config-users to create new users/groups in an
LDAP directory.

I can successfully view a test user created manually on the LDAP
server; but on trying to create a new one I get this:


Version-Release number of selected component (if applicable):
libuser-0.51.7-7.1.1

How reproducible:
Always

Steps to Reproduce:
1. Set up LDAP server, populate it with root DN, plus people and
groups entries (non-trivial task)
2. Set up /etc/libuser.conf so that the LDAP stanza points at the LDAP
server
3. Run system-config-users and try to create a new user
    

Actual Results:  New user is created

Expected Results:  Fails to do anything, get this output:
Traceback (most recent call last):
  File "/usr/share/system-config-users/userWindow.py", line 358, in
on_userWin_ok_button_clicked
    self.parent.ADMIN.addUser(userEnt)
RuntimeError: error modifying LDAP directory entry: Invalid syntax



Additional info:
Comment 1 Dave Malcolm 2004-09-03 14:29:16 EDT
Nalin: do you have any idea on when/if this is likely to be fixed?
Comment 2 Miloslav Trmač 2004-09-22 18:28:01 EDT
I'm working on LDAP right now, I hope to have a complete
and reliable backend within a month (a very conservative estimate).
Comment 3 Miloslav Trmač 2004-09-27 14:07:27 EDT
libuser-0.52.1-1 should have a good-working LDAP backend.

Note You need to log in before you can comment on or make changes to this bug.